---
title: llarp::rpc::MessageHandler

---

# llarp::rpc::MessageHandler





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[MessageHandler](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-messagehandler)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| | **[MessageHandler](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-messagehandler)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & _r) |
| | **[~MessageHandler](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-~messagehandler)**() =default |
| void | **[SetMessage](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-setmessage)**(Message & _msg) |
| void | **[ClearMessage](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-clearmessage)**() |
| void | **[SendImmediateResponse](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-sendimmediateresponse)**(oxenmq::Message & msg, auto content) |
| void | **[SendDelayedResponse](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-senddelayedresponse)**(oxenmq::Message & msg, auto content) |
| void | **[SendImmediateError](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-sendimmediateerror)**(oxenmq::Message & msg, auto content) |
| template <typename Result_t \> <br>std::string | **[CreateJSONResponse](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-createjsonresponse)**(Result_t result) |
| std::string | **[CreateJSONError](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-createjsonerror)**(std::string_view msg) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) &const | **[m_Router](Classes/structllarp_1_1rpc_1_1MessageHandler.md#variable-m-router)**  |

## Public Functions Documentation

### function MessageHandler

```cpp
explicit MessageHandler(
    AbstractRouter & 
)
```


### function MessageHandler

```cpp
inline explicit MessageHandler(
    AbstractRouter & _r
)
```


### function ~MessageHandler

```cpp
~MessageHandler() =default
```


### function SetMessage

```cpp
inline void SetMessage(
    Message & _msg
)
```


### function ClearMessage

```cpp
inline void ClearMessage()
```


### function SendImmediateResponse

```cpp
void SendImmediateResponse(
    oxenmq::Message & msg,
    auto content
)
```


### function SendDelayedResponse

```cpp
void SendDelayedResponse(
    oxenmq::Message & msg,
    auto content
)
```


### function SendImmediateError

```cpp
void SendImmediateError(
    oxenmq::Message & msg,
    auto content
)
```


### function CreateJSONResponse

```cpp
template <typename Result_t >
inline std::string CreateJSONResponse(
    Result_t result
)
```


### function CreateJSONError

```cpp
inline std::string CreateJSONError(
    std::string_view msg
)
```


## Public Attributes Documentation

### variable m_Router

```cpp
AbstractRouter &const m_Router;
```


-------------------------------

Updated on 2023-01-11 at 21:27:33 +0000