---
title: llarp::rpc

---

# llarp::rpc



## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::rpc::EndpointAuthRPC](Classes/structllarp_1_1rpc_1_1EndpointAuthRPC.md)**  |
| struct | **[llarp::rpc::LokidRpcClient](Classes/structllarp_1_1rpc_1_1LokidRpcClient.md)** <br>The [LokidRpcClient]() uses loki-mq to talk to make API requests to lokid.  |
| struct | **[llarp::rpc::MessageHandler](Classes/structllarp_1_1rpc_1_1MessageHandler.md)**  |
| struct | **[llarp::rpc::RpcServer](Classes/structllarp_1_1rpc_1_1RpcServer.md)**  |

## Types

|                | Name           |
| -------------- | -------------- |
| typedef std::shared_ptr< oxenmq::OxenMQ > | **[LMQ_ptr](Namespaces/namespacellarp_1_1rpc.md#typedef-lmq-ptr)**  |

## Functions

|                | Name           |
| -------------- | -------------- |
| struct [llarp::rpc::MessageHandler](Classes/structllarp_1_1rpc_1_1MessageHandler.md) | **[RPCServer](Namespaces/namespacellarp_1_1rpc.md#function-rpcserver)**(LMQ_ptr , [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| | **[~RPCServer](Namespaces/namespacellarp_1_1rpc.md#function-~rpcserver)**() =default |
| void | **[AddCategories](Namespaces/namespacellarp_1_1rpc.md#function-addcategories)**() |

## Types Documentation

### typedef LMQ_ptr

```cpp
typedef std::shared_ptr< oxenmq::OxenMQ > llarp::rpc::LMQ_ptr;
```



## Functions Documentation

### function RPCServer

```cpp
struct llarp::rpc::MessageHandler RPCServer(
    LMQ_ptr ,
    AbstractRouter & 
)
```


### function ~RPCServer

```cpp
~RPCServer() =default
```


### function AddCategories

```cpp
void AddCategories()
```






-------------------------------

Updated on 2023-01-11 at 21:27:33 +0000